## GUPnPDevice

GUPnPDevice — Class for device implementations.

## Synopsis

    struct              GUPnPDevice;

## Object Hierarchy

      GObject
       +----GUPnPDeviceInfo
             +----GUPnPDevice
                   +----GUPnPRootDevice

## Properties

      "root-device"              GUPnPRootDevice*      : Read / Write / Construct Only

## Description

GUPnPDevice allows for retrieving a device's subdevices and services. GUPnPDevice implements the GUPnPDeviceInfo interface.

## Details

### struct GUPnPDevice

    struct GUPnPDevice;

This struct contains private data only, and should be accessed using the functions below.

## Property Details

### The `"root-device"` property

      "root-device"              GUPnPRootDevice*      : Read / Write / Construct Only

The containing GUPnPRootDevice, or NULL if this is the root device.